GS1900-48HP - HTTPs can't be activated after Firmware update.

Marcelo
Marcelo Posts: 2  Freshman Member
edited April 2021 in Switch
I have a GS1900-48HP - V2.40(AAHO.0) | 11/14/2017. When I updated the firmware to the latest version 2.50, I couldn't get this switch to talk to the other switches. So I had to downgrade to an old version 2.40 of it and the https can't be activated now.
The network I have consisted of 5 Switches and I want to update one at the time to not impact the whole company.
Could I update on at the time?


#Biz_June_2020

Comments

  • Sakura_T
    Sakura_T Posts: 101  Ally Member
    edited June 2020
    When I updated the firmware to the latest version 2.50, I couldn't get this switch to talk to the other switches
    Did you save your config before the upgrading?
    The config will not be taken after fw upgrade unless you saved it in advance.
  • Zyxel小編 Lucious
    Zyxel小編 Lucious Posts: 279  Zyxel Employee
    @Marcelo

    So I had to downgrade to an old version 2.40 of it and the https can't be activated now.
    I think you mean you cannot access to web-gui via https, am I right?

    On GS1900 series, downgrading from V2.50 to V2.40 or below versions will cause admin account unable to login. This is due to password authentication algorithms are enhanced for vulnerability issues and is not backwards compatible.
    In the unlikely event of downgrading firmware, resetting to default (press reset button for over 7 seconds and release) can then login with default account and password.

    Could I update on at the time?
    As @TY9527 said, please save your config before you upgrade to latest 2.50.

    BTW, this forum is for home devices, for our business model devices such as GS1900 series, you may seek our biz forum. https://businessforum.zyxel.com/ Thanks!